Skip to main content
PUT
Python (SDK)

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de caminho

connector_key
string
obrigatório

Corpo

application/json
tool_allowlist
string[] | null
obrigatório

Resposta

Resposta Bem-Sucedida

key
string
obrigatório
display_name
string
obrigatório
auth_kind
enum<string>
obrigatório
Opções disponíveis:
oauth,
api_key
connection
ConnectorConnectionModel · object | null